Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
BTreeDatabase..::.GetMultiple Method (UInt32, Int32)
BTreeDatabase Class See Also Send Feedback

Retrieve a specific numbered key and all duplicate data items from the database.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public KeyValuePair<DatabaseEntry, MultipleDatabaseEntry> GetMultiple(
    	uint recno,
    	int BufferSize
    )

Visual Basic (Declaration)
    Public Function GetMultiple ( _
    	recno As UInteger, _
    	BufferSize As Integer _
    ) As KeyValuePair(Of DatabaseEntry, MultipleDatabaseEntry)

Visual C++
    public:
    KeyValuePair<DatabaseEntry^, MultipleDatabaseEntry^> GetMultiple(
    	unsigned int recno,
    	int BufferSize
    )

#### Parameters

recno
  Type: System..::.UInt32
  The record number of the record to be retrieved.

BufferSize
  Type: System..::.Int32
  The initial size of the buffer to fill with duplicate data items. If the buffer is not large enough, it is automatically resized.

#### Return Value

A KeyValuePair<(Of <(TKey, TValue>)>) whose Key parameter is recno and whose Value parameter is the retrieved data items.

# Exceptions

Exception | Condition
--- | ---
BerkeleyDB..::.NotFoundException | A NotFoundException is thrown if recno is not in the database.

# See Also

BTreeDatabase Class
GetMultiple Overload
BerkeleyDB Namespace